For AI agents: The documentation index is at https://docs.digitalocean.com/llms.txt. Markdown versions of pages use the same URL with index.html.md in place of the HTML page (for example, append index.html.md to the directory path instead of opening the HTML document).
Usage
client.v2.apps.tiers.instance_sizes.bySlug(slug).get(requestConfiguration?: RequestConfiguration<object>): Promise<undefined | Apps_get_instance_size_response>
Description
Retrieve information about a specific instance size for service, worker, and job components.
Parameters
slug string required
Example: apps-s-1vcpu-0.5gb
The slug of the instance size
Request Sample
Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
createDigitalOceanClient,
DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";
const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);
const response = await client.v2.apps.tiers.instance_sizes
.bySlug("apps-s-1vcpu-0.5gb").get();
Response Example
Show Response Example
{
"instance_size": {
"name": "Shared 1VCPU 0.5GB",
"slug": "apps-s-1vcpu-0.5gb",
"cpu_type": "SHARED",
"cpus": "1",
"memory_bytes": "536870912",
"usd_per_month": "5.00",
"usd_per_second": "0.000002066799",
"tier_slug": "basic",
"single_instance_only": true,
"bandwidth_allowance_gib": "50"
}
}
See /v2/apps/tiers/instance_sizes/{slug} in the API reference for additional detail on responses, headers, parameters, and more.